# Class EvaluationMethodType

Object
CodeList<EvaluationMethodType>
EvaluationMethodType

All Implemented Interfaces:
  `Serializable, Comparable<EvaluationMethodType>`

@UML(identifier="DQ_EvaluationMethodTypeCode", specification=ISO_19115) public final class EvaluationMethodType extends CodeList<EvaluationMethodType>
Type of method for evaluating an identified data quality measure.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final EvaluationMethodType`
  `DIRECT_EXTERNAL`
  Method of evaluating the quality of a dataset based on inspection of items within the dataset, where reference data external to the dataset being evaluated is required.
  `static final EvaluationMethodType`
  `DIRECT_INTERNAL`
  Method of evaluating the quality of a dataset based on inspection of items within the dataset, where all data required is internal to the dataset being evaluated.
  `static final EvaluationMethodType`
  `INDIRECT`
  Method of evaluating the quality of a dataset based on external knowledge.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EvaluationMethodType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static EvaluationMethodType`
  `valueOf(String code)`
  Returns the evaluation method type that matches the given string, or returns a new one if none match it.
  `static EvaluationMethodType[]`
  `values()`
  Returns the list of `EvaluationMethodType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DIRECT_INTERNAL

    @UML(identifier="directInternal", obligation=CONDITIONAL, specification=ISO_19115) public static final EvaluationMethodType DIRECT_INTERNAL
    Method of evaluating the quality of a dataset based on inspection of items within the dataset, where all data required is internal to the dataset being evaluated.

  - ### DIRECT_EXTERNAL

    @UML(identifier="directExternal", obligation=CONDITIONAL, specification=ISO_19115) public static final EvaluationMethodType DIRECT_EXTERNAL
    Method of evaluating the quality of a dataset based on inspection of items within the dataset, where reference data external to the dataset being evaluated is required.

  - ### INDIRECT

    @UML(identifier="indirect", obligation=CONDITIONAL, specification=ISO_19115) public static final EvaluationMethodType INDIRECT
    Method of evaluating the quality of a dataset based on external knowledge.

- ## Method Details

  - ### values

    public static EvaluationMethodType[] values()
    Returns the list of `EvaluationMethodType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public EvaluationMethodType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<EvaluationMethodType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static EvaluationMethodType valueOf(String code)
    Returns the evaluation method type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.